org.apache.fop.render.pdf.pdfbox

## Class ImageConverterPDF2G2D

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.AbstractImageConverter
  - - org.apache.fop.render.pdf.pdfbox.ImageConverterPDF2G2D

- All Implemented Interfaces:
    org.apache.xmlgraphics.image.loader.spi.ImageConverter

      public class ImageConverterPDF2G2D
      extends org.apache.xmlgraphics.image.loader.impl.AbstractImageConverter

  Image converter implementation to convert PDF pages into Java2D images.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xmlgraphics.image.loader.spi.ImageConverter

      `MEDIUM_CONVERSION_PENALTY, MINIMAL_CONVERSION_PENALTY, NO_CONVERSION_PENALTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageConverterPDF2G2D()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.xmlgraphics.image.loader.Image` | `convert(org.apache.xmlgraphics.image.loader.Image src, java.util.Map hints)`
    `int` | `getConversionPenalty()`
    `org.apache.xmlgraphics.image.loader.ImageFlavor` | `getSourceFlavor()`
    `org.apache.xmlgraphics.image.loader.ImageFlavor` | `getTargetFlavor()`

    - ### Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImageConverter

      `checkSourceFlavor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageConverterPDF2G2D

          public ImageConverterPDF2G2D()

  - ### Method Detail

    - #### convert

          public org.apache.xmlgraphics.image.loader.Image convert(org.apache.xmlgraphics.image.loader.Image src,
                                                                   java.util.Map hints)
                                                            throws org.apache.xmlgraphics.image.loader.ImageException,
                                                                   java.io.IOException

      Throws:
        `org.apache.xmlgraphics.image.loader.ImageException`
        `java.io.IOException`

    - #### getSourceFlavor

          public org.apache.xmlgraphics.image.loader.ImageFlavor getSourceFlavor()

    - #### getTargetFlavor

          public org.apache.xmlgraphics.image.loader.ImageFlavor getTargetFlavor()

    - #### getConversionPenalty

          public int getConversionPenalty()

      Specified by:
        `getConversionPenalty` in interface `org.apache.xmlgraphics.image.loader.spi.ImageConverter`
      Overrides:
        `getConversionPenalty` in class `org.apache.xmlgraphics.image.loader.impl.AbstractImageConverter`

Copyright 2007-2025 The Apache Software Foundation. All Rights Reserved.